4
d 18
i 0
s 0
u 15
u(i,i,i,i,d(s,i,i,s,i,i,s,s,i,i,i,s,s,i,i,i,i,s),u(i,i,i,s,s,i,s,s,s,s,i,s,s,i,i),d(i,i,i,s,s,i,s,s,s,i,s,s,i,i,s,i,s,i),u(s,i,i,i,s,s,s,s,i,i,i,i,i,s,s),s,d(s,s,i,i,i,i,i,i,i,s,s,s,i,u(s,i,s,s,i,i,i,i,i,s,i,i,s,i,i),i,i,s,i),s,d(s,s,s,i,i,s,s,d(i,s,i,i,s,i,i,i,s,i,s,s,i,s,s,i,i,i),i,s,s,s,s,i,i,i,s,i),u(s,s,i,i,s,s,s,i,s,i,i,i,i,i,i),u(s,u(s,i,s,s,i,i,s,i,i,s,i,s,s,s,i),i,i,s,i,s,i,i,s,s,i,i,d(i,i,i,i,i,s,s,i,i,i,s,s,s,s,i,s,s,i),i),d(s,i,i,s,i,s,s,s,s,s,i,i,i,d(i,s,i,s,s,i,s,s,i,s,s,s,i,i,s,s,s,i),s,i,i,s))
